> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonMarketPriceHistory

> History of price changes in asset, counterpart, TON and USD coins



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/markets/{poolAddress}/price/ticks
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/markets/{poolAddress}/price/ticks:
    get:
      tags:
        - JettonsService
      summary: getJettonMarketPriceHistory
      description: History of price changes in asset, counterpart, TON and USD coins
      operationId: JettonsService_GetMarketPriceTicks
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: poolAddress
          in: path
          description: |-
            Market liquidity pool address

            Example: `EQBYsz1HIQdap8acCZZJsNlySx4riy9IqfNC66a8NWU5igPZ`
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: |-
            Default value: 20

            Max value: 1000
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: |-
            Cursor to paginate list

            Should be set by value from response field `next`
          schema:
            type: string
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetMarketPriceTicksResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetMarketPriceTicksResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/v1JettonMarketPriceTick'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonMarketPriceTick:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/v1JettonMarketPriceTickValue'
        time:
          type: string
          format: date-time
        timeLt:
          type: string
          format: int64
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1JettonMarketPriceTickValue:
      type: object
      properties:
        counterpart:
          $ref: '#/components/schemas/v1DecimalValue'
        ton:
          $ref: '#/components/schemas/v1DecimalValue'
        usd:
          $ref: '#/components/schemas/v1DecimalValue'
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````